Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.thoughtworks.xstream.io.xml
Class Dom4JXmlWriter

    java.lang.Object
      com.thoughtworks.xstream.io.xml.AbstractXmlWriter
          com.thoughtworks.xstream.io.xml.Dom4JXmlWriter

All Implemented Interfaces:
  ExtendedHierarchicalStreamWriter, HierarchicalStreamWriter, XmlFriendlyWriter

    public class Dom4JXmlWriter

extends AbstractXmlWriter

Constructor Summary
`Dom4JXmlWriter(org.dom4j.io.XMLWriter writer)`
`Dom4JXmlWriter(org.dom4j.io.XMLWriter writer, XmlFriendlyReplacer replacer)`

Method Summary
`void` | `addAttribute(String key, String value)`
`void` | `close()` Close the writer, if necessary.
`void` | `endNode()`
`void` | `flush()` Flush the writer, if necessary.
`void` | `setValue(String text)` Write the value (text content) of the current node.
`void` | `startNode(String name)`

Methods inherited from class com.thoughtworks.xstream.io.xml.AbstractXmlWriter
`escapeXmlName, startNode, underlyingWriter`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Dom4JXmlWriter

    public Dom4JXmlWriter(org.dom4j.io.XMLWriter writer)

### Dom4JXmlWriter

    public Dom4JXmlWriter(org.dom4j.io.XMLWriter writer,
                          XmlFriendlyReplacer replacer)

Since:
  1.2

Method Detail

### startNode

    public void startNode(String name)

### setValue

    public void setValue(String text)

  Description copied from interface: `HierarchicalStreamWriter`
  Write the value (text content) of the current node.

### addAttribute

    public void addAttribute(String key,
                             String value)

### endNode

    public void endNode()

### flush

    public void flush()

  Description copied from interface: `HierarchicalStreamWriter`
  Flush the writer, if necessary.

### close

    public void close()

  Description copied from interface: `HierarchicalStreamWriter`
  Close the writer, if necessary.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2008 XStream. All Rights Reserved.